import { AgentTaskStep } from 'src/agent/agent.task';
import { getUserInput } from 'src/agent/agent.input';
import { ModalController } from '@ionic/angular/standalone';
import { FmodeChatCompletion } from 'fmode-ng';

export function TaskPoemPictureDesc(options:{
    modalCtrl:ModalController
    shareData:any}
    ):AgentTaskStep{
        let task1 = new AgentTaskStep({title:"意境分析",shareData:options.shareData})
        task1.handle = async ()=>{
        // 获取用户输入的诗词
        let userInput = await getUserInput(options.modalCtrl,{fieldsArray:[
            {name:"诗文内容",type:"text",desc:"诗文句子或段落"}
        ]});
        console.log("已获取用户输入：",userInput)
        console.log("已获取诗文内容：",userInput['诗文内容'])

            // 文本生成
        let PromptTemplate = `您是一名专业的美术画家，请您根据古诗文的内容，将其描述的画面、场景、人物、物品等用最简短的语言表达，直接写出画面，并且以中国的古风意境为主
        诗文如下：
        ${userInput['诗文内容']}
        `
        let completion = new FmodeChatCompletion([
            {role:"system",content:""},
            {role:"user",content:PromptTemplate}
            ])
            completion.sendCompletion().subscribe((message:any)=>{
            // 打印消息体
            console.log(message.content)
            // 赋值消息内容给组件内属性
            options.shareData.PictureDescResult = message.content
            if(message.complete){ // 判断message为完成状态，则设置isComplete为完成
                task1.progress = 1
            }
            })
        }
        return task1
}